<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Attributes and Hyperlinks </title>
</head>
<body>
    <h2 id="top"> HTML Attributes </h2>

    <!-- Align attribute changes the alignment of the paragraph element -->
    <p align="center"> <em>Modifiers of element behaviors</em></p>

    <h2> HTML Images </h2>

    <p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>


    <!-- add image using absolute linking -->
    <!-- HTML tags wrapped inside an anchor tag will be come a clickable element -->
    <!-- target attribute defines where the link will be opened using value "_blank" to open a new tab -->
    <a href="https://place-puppy.com/300x300" target="_blank">
        <img src="https://place-puppy.com/300x300" alt="">
    </a>
    


    <p>
        <!-- to make the code appear in the web, and not the img itself -->
        <code>
            &lt;img src="https://place-puppy.com/300x300"&gt;
        </code>
    </p>
    <!-- add image using relative linking -->
    <img src="./images/doggo.jpg" alt="">

    
    <p>
        <!-- to make the code appear in the web, and not the img itself -->
        <code>
            &lt;img src="https://place-puppy.com/300x300"&gt;
        </code>
    </p>

    <p>Valid image extensions are the following:</p>
    <!-- type = a, letters instead of numbers -->
    <ol type="a" reversed="true">
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a></p>

    <h2> HTML Links</h2>

    <h4>Absolute Link</h4>

    <!-- <a> used to create a hyperlink element that redirects to a diff page -->
    <a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>

    <h4>Relative Link</h4>

    <!-- ./ accesses root folder (link.html is inside the root folder) -->
    <p>Go to <a href="./link.html">link.html</a> page</p>

    <p>Go to <a href="./images/index.html" target="_blank">./images/index.html</a> </p>

    <p>Go to <a href="#top">top</a></p>
</body>
</html>